Package org.apache.wiki.api.filters

# Class BasicPageFilter

java.lang.Object
org.apache.wiki.api.filters.BasePageFilter
org.apache.wiki.api.filters.BasicPageFilter

All Implemented Interfaces:
  `org.apache.wiki.api.filters.PageFilter`

@Deprecated public class BasicPageFilter extends org.apache.wiki.api.filters.BasePageFilter
Deprecated.
use `BasePageFilter` instead
Hooks all filters not using the public api into it.

See Also:
  - `BasePageFilter`

## Field Summary

### Fields inherited from class org.apache.wiki.api.filters.BasePageFilter

`m_engine`

## Constructor Summary

Constructors
Constructor
Description
`BasicPageFilter()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`destroy(org.apache.wiki.api.core.Engine engine)`
Deprecated.
`void`
`destroy(org.apache.wiki.WikiEngine engine)`
Deprecated.
`void`
`initialize(org.apache.wiki.WikiEngine engine, Properties properties)`
Deprecated.
`void`
`postSave(org.apache.wiki.api.core.Context wikiContext, String content)`
Deprecated.
`void`
`postSave(org.apache.wiki.WikiContext wikiContext, String content)`
Deprecated.
`String`
`postTranslate(org.apache.wiki.api.core.Context wikiContext, String htmlContent)`
Deprecated.
`String`
`postTranslate(org.apache.wiki.WikiContext wikiContext, String htmlContent)`
Deprecated.
`String`
`preSave(org.apache.wiki.api.core.Context wikiContext, String content)`
Deprecated.
`String`
`preSave(org.apache.wiki.WikiContext wikiContext, String content)`
Deprecated.
`String`
`preTranslate(org.apache.wiki.api.core.Context wikiContext, String content)`
Deprecated.
`String`
`preTranslate(org.apache.wiki.WikiContext wikiContext, String content)`
Deprecated.

### Methods inherited from class org.apache.wiki.api.filters.BasePageFilter

`initialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BasicPageFilter

public BasicPageFilter()
Deprecated.

## Method Details

### initialize

public void initialize(org.apache.wiki.WikiEngine engine, Properties properties) throws org.apache.wiki.api.exceptions.FilterException
Deprecated.

Throws:
  `org.apache.wiki.api.exceptions.FilterException`

### preTranslate

public String preTranslate(org.apache.wiki.WikiContext wikiContext, String content) throws org.apache.wiki.api.exceptions.FilterException
Deprecated.

Throws:
  `org.apache.wiki.api.exceptions.FilterException`

### preTranslate

public String preTranslate(org.apache.wiki.api.core.Context wikiContext, String content) throws org.apache.wiki.api.exceptions.FilterException
Deprecated.

Throws:
  `org.apache.wiki.api.exceptions.FilterException`

### postTranslate

public String postTranslate(org.apache.wiki.WikiContext wikiContext, String htmlContent) throws org.apache.wiki.api.exceptions.FilterException
Deprecated.

Throws:
  `org.apache.wiki.api.exceptions.FilterException`

### postTranslate

public String postTranslate(org.apache.wiki.api.core.Context wikiContext, String htmlContent) throws org.apache.wiki.api.exceptions.FilterException
Deprecated.

Throws:
  `org.apache.wiki.api.exceptions.FilterException`

### preSave

public String preSave(org.apache.wiki.WikiContext wikiContext, String content) throws org.apache.wiki.api.exceptions.FilterException
Deprecated.

Throws:
  `org.apache.wiki.api.exceptions.FilterException`

### preSave

public String preSave(org.apache.wiki.api.core.Context wikiContext, String content) throws org.apache.wiki.api.exceptions.FilterException
Deprecated.

Throws:
  `org.apache.wiki.api.exceptions.FilterException`

### postSave

public void postSave(org.apache.wiki.WikiContext wikiContext, String content) throws org.apache.wiki.api.exceptions.FilterException
Deprecated.

Throws:
  `org.apache.wiki.api.exceptions.FilterException`

### postSave

public void postSave(org.apache.wiki.api.core.Context wikiContext, String content) throws org.apache.wiki.api.exceptions.FilterException
Deprecated.

Throws:
  `org.apache.wiki.api.exceptions.FilterException`

### destroy

public void destroy(org.apache.wiki.WikiEngine engine)
Deprecated.

### destroy

public void destroy(org.apache.wiki.api.core.Engine engine)
Deprecated.